Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class AccessControlList

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.AccessControlList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieAccessControlList

    public class AccessControlList

extends TiePublicObject

Represents a set of AccessControlEntries (ACE).

Each ACE represents a single grant/revoke of a privilege or AccessLevel. The complete list of ACEs, that is the ACL itself, represents the cumulative list of who (DirectoryObjects) has what access to a specified PublicObject. An ACL may be referenced (shared) by more than one PublicObject.

The order of the ACEs is significant. Access is resolved in ascending order. If a user is first granted a privilege, then revoked, the result is the user will not have that privilege.

For example, the first ACE grants a group complete access to a PublicObject. The second ACE revokes specific privileges to distinct members of the group. The result would be some members having full privileges and others having restricted privileges. Had the order of the ACEs been reversed, the result would be the whole group having full privileges.

See Also:
  `AccessLevel`, `DirectoryObject`, `DirectoryUser`, `PublicObject`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `COMPONENTACLS_ATTRIBUTE` The component ACLs for a composite ACL.
`protected java.lang.Long[]` | `m_ACEs` Long array of AccessControlEntrys
`static java.lang.String` | `OWNERUNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure no ACLs owned by a user have duplicate names.
`static java.lang.String` | `SHARED_ATTRIBUTE` An indicator of whether more than one PublicObject refers to this AccessControlList.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `AccessControlList(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a AccessControlList object - standard variant.

Method Summary
`protected AccessControlEntry` | `addAccessControlEntry(AccessControlEntryDefinition aceDef)` Add an ACE to this ACL.
`boolean` | `checkEffectiveAccess(DirectoryObject obj, AccessLevel level)` Check to see if specified user has the specified access level on this object.
`boolean` | `checkGrantedAccess(AccessLevel level)` Check if current user has the specified access level on this object.
`boolean` | `checkGrantedAccess(DirectoryObject obj, AccessLevel requestedLevel)` Check to see if specified user/group has the specified access level on this object.
`protected static AccessControlList` | `constructAccessControlList(LibrarySession sess, S_LibraryObjectData data)` Returns AccessControlList from a S_LibraryObjectData
`protected static AccessControlList[]` | `constructAccessControlListArray(LibrarySession sess, java.lang.Long[] ids)` Constructs a AccessControlList array from an array of object IDs.
`protected static java.util.Vector` | `constructAccessControlListVector(LibrarySession sess, java.util.Vector vector)` Construct Vector of AccessControlList from vector of S_LibraryObjectData
`static AccessControlList[]` | `findAll(LibrarySession session)` Returns the set of defined AccessControlLists.
`static AccessControlList` | `findByName(LibrarySession session, java.lang.String name)` Returns the a AccessControlList matching the specified name.
`AccessControlEntry[]` | `getAccessControlEntrys()` Returns an array of AccessControlEntry objects that are part of this ACL.
`AccessControlEntry` | `getAccessControlEntrys(int index)` Returns the ACE at specified index in array of ACEs.
`static java.lang.Long` | `getClassId(LibrarySession session)` Get the ID of the ClassObject representing ACCESSCONTROLLIST.
`AccessControlList[]` | `getComponentAcls()` Returns all AccessControlLists that are components of the target ACL.
`AccessControlList[]` | `getCompositeAcls()` Gets the set of composite ACLs which reference the target ACL as a "component".
`AccessControlList[]` | `getCompositeAcls(SortSpecification sort)` Gets a sorted set of composite ACLs which reference the target ACL as a "component".
`AccessLevel` | `getEffectiveAccessLevel(DirectoryObject obj)` Returns the effective access level on this object for the specified user.
`AccessLevel` | `getGrantedAccessLevel()` Returns the access level on this object for the current user.
`AccessLevel` | `getGrantedAccessLevel(DirectoryObject obj)` Returns the access level on this object for a specified DirectoryObject.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find AccessControlList instances by name.
`AccessControlEntry` | `grantAccess(AccessControlEntryDefinition aceDef)` Add or extend an ACE for this ACL.
`boolean` | `isComposite()` Returns indication as to whether the target ACL is considered a "composite ACL", that is if it has one of more component ACLs.
`boolean` | `isShared()` Returns indication as to whether this is a shared ACL, meaning more than one PublicObject refers to it.
`void` | `removeAccessControlEntry(AccessControlEntry ace)` Remove an ACE from this ACL.
`static int` | `removeAcesForFreedGrantees(LibrarySession session, int batchSize)` Cleanup ACLs that have ACEs for grantees that have been freed.
`protected void` | `removeAllAccessControlEntries()` Remove all ACEs from this ACL.
`AccessControlEntry` | `revokeAccess(AccessControlEntryDefinition aceDef)` Remove or restrict an ACE for this ACL.
`void` | `revokeAllAccess()` Remove all ACEs for this ACL.
`void` | `setComponentAcls(AccessControlList[] acls)` Sets the AccessControlLists that are components of the target ACL.
`void` | `updateAccessControlEntry(AccessControlEntry ace, AccessControlEntryDefinition aceDef)` Update an ACE in this ACL.
`protected static AccessControlList` | `vectorAclElement(java.util.Vector vector, int index)` Returns an AccessControlList from a specified Vector of AccessControlLists and an index.
`protected static AccessControlList[]` | `vectorToAclArray(java.util.Vector vector)` Convert a Vector of AccessControlLists to an array of AccessControlLists.

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `AccessControlList`
  This class name for this class.

  See Also:
    Constant Field Values
  (Published)

### SHARED_ATTRIBUTE

    public static final java.lang.String SHARED_ATTRIBUTE

  Description copied from class: `AccessControlList`
  An indicator of whether more than one PublicObject refers to this AccessControlList.

  See Also:
    Constant Field Values
  (Published)

### OWNERUNIQUENAME_ATTRIBUTE

    public static final java.lang.String OWNERUNIQUENAME_ATTRIBUTE

  Description copied from class: `AccessControlList`
  A system-set attribute used to ensure no ACLs owned by a user have duplicate names.

  See Also:
    Constant Field Values
  (Published)

### COMPONENTACLS_ATTRIBUTE

    public static final java.lang.String COMPONENTACLS_ATTRIBUTE

  Description copied from class: `AccessControlList`
  The component ACLs for a composite ACL.

  See Also:
    Constant Field Values
  (Published)

### m_ACEs

    protected java.lang.Long[] m_ACEs

  Description copied from class: `AccessControlList`
  Long array of AccessControlEntrys

  (Unpublished)

Constructor Detail

### AccessControlList

    protected AccessControlList(LibrarySession session,
                                java.lang.Long id,
                                java.lang.Long classId,
                                S_LibraryObjectData data)
                         throws IfsException

  Construct a AccessControlList object - standard variant.

  Parameters:
    `session` - current Session
    `id` - object ID
    `classId` - the class ID
    `data` - attributes
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### getClassId

    public static java.lang.Long getClassId(LibrarySession session)
                                     throws IfsException

  Description copied from class: `AccessControlList`
  Get the ID of the ClassObject representing ACCESSCONTROLLIST.

  Parameters:
    `session` - the session context
  Returns:
    the ID of the ACCESSCONTROLLIST ClassObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isShared

    public boolean isShared()
                     throws IfsException

  Description copied from class: `AccessControlList`
  Returns indication as to whether this is a shared ACL, meaning more than one PublicObject refers to it.

  Returns:
    true if more than one PublicObject refers to this ACL.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getComponentAcls

    public AccessControlList[] getComponentAcls()
                                         throws IfsException

  Description copied from class: `AccessControlList`
  Returns all AccessControlLists that are components of the target ACL. If there are one or more component ACLs, the target ACL is considered a "composite ACL". If the target ACL is not a composite ACL, this method returns null.

  Returns:
    the set of component AccessControlLists
  Throws:
    `IfsException` - if operation fails.
  (Published)

### isComposite

    public boolean isComposite()
                        throws IfsException

  Description copied from class: `AccessControlList`
  Returns indication as to whether the target ACL is considered a "composite ACL", that is if it has one of more component ACLs.

  Returns:
    true if the target ACL is a composite ACL
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCompositeAcls

    public AccessControlList[] getCompositeAcls()
                                         throws IfsException

  Description copied from class: `AccessControlList`
  Gets the set of composite ACLs which reference the target ACL as a "component".

  Returns:
    the set of composite ACLs that include the target ACL as a component
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCompositeAcls

    public AccessControlList[] getCompositeAcls(SortSpecification sort)
                                         throws IfsException

  Description copied from class: `AccessControlList`
  Gets a sorted set of composite ACLs which reference the target ACL as a "component".

  Parameters:
    `sort` - sort specification
  Returns:
    the set of composite ACLs that include the target ACL as a component
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setComponentAcls

    public void setComponentAcls(AccessControlList[] acls)
                          throws IfsException

  Description copied from class: `AccessControlList`
  Sets the AccessControlLists that are components of the target ACL. If the array specified is not null or empty, the target ACL will become a "composite ACL" composed of the specified ACLs. Otherwise, any previous component ACLs will be cleared, and the target ACL will no longer be a composite ACL.

  Parameters:
    `acls` - the set of component AccessControlLists, or null if none.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getGrantedAccessLevel

    public AccessLevel getGrantedAccessLevel()
                                      throws IfsException

  Description copied from class: `AccessControlList`
  Returns the access level on this object for the current user.

  Returns:
    the AccessLevel set for the current user.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getGrantedAccessLevel

    public AccessLevel getGrantedAccessLevel(DirectoryObject obj)
                                      throws IfsException

  Description copied from class: `AccessControlList`
  Returns the access level on this object for a specified DirectoryObject.

  Parameters:
    `obj` - the DirectoryObject
  Returns:
    the AccessLevel set for the specified DirectoryObject.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### checkGrantedAccess

    public boolean checkGrantedAccess(AccessLevel level)
                               throws IfsException

  Description copied from class: `AccessControlList`
  Check if current user has the specified access level on this object.

  Parameters:
    `level` - specified level.
  Returns:
    true if current user has at least the specified access.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### checkGrantedAccess

    public boolean checkGrantedAccess(DirectoryObject obj,
                                      AccessLevel requestedLevel)
                               throws IfsException

  Description copied from class: `AccessControlList`
  Check to see if specified user/group has the specified access level on this object.

  Parameters:
    `obj` - the DirectoryObject.
  Returns:
    true if specified user has at least the specified access.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getEffectiveAccessLevel

    public AccessLevel getEffectiveAccessLevel(DirectoryObject obj)
                                        throws IfsException

  Description copied from class: `AccessControlList`
  Returns the effective access level on this object for the specified user. This override will include the Grant standard permission if grant is available to the specified user inthe defined set of ACEs.

  Overrides:
    `getEffectiveAccessLevel` in class `PublicObject`
  Parameters:
    `obj` - the DirectoryObject
  Returns:
    the AccessLevel set for the specified user
  Throws:
    `IfsException` - if operation fails.
  (Published)

### checkEffectiveAccess

    public boolean checkEffectiveAccess(DirectoryObject obj,
                                        AccessLevel level)
                                 throws IfsException

  Description copied from class: `AccessControlList`
  Check to see if specified user has the specified access level on this object.

  Overrides:
    `checkEffectiveAccess` in class `PublicObject`
  Parameters:
    `obj` - specified user on which to check Access Control
    `level` - specified level.
  Returns:
    true if specified user has at least the specified access.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAccessControlEntrys

    public AccessControlEntry[] getAccessControlEntrys()
                                                throws IfsException

  Description copied from class: `AccessControlList`
  Returns an array of AccessControlEntry objects that are part of this ACL.

  Returns:
    array of AccessControlEntrys
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAccessControlEntrys

    public AccessControlEntry getAccessControlEntrys(int index)
                                              throws IfsException

  Description copied from class: `AccessControlList`
  Returns the ACE at specified index in array of ACEs.

  Parameters:
    `index` - index into the array of AccessControlEntrys
  Returns:
    the requested AccessControlEntry
  Throws:
    `IfsException` - if operation fails.
  (Published)

### grantAccess

    public AccessControlEntry grantAccess(AccessControlEntryDefinition aceDef)
                                   throws IfsException

  Description copied from class: `AccessControlList`
  Add or extend an ACE for this ACL. This adds an ACE which specifies grant access. This method implicitly sets the "granted" indication on the AccessControlEntryDefinition to true.

  Overrides:
    `grantAccess` in class `PublicObject`
  Parameters:
    `aceDef` - AccessControlEntry definition
  Returns:
    newly added AccessControlEntry
  Throws:
    `IfsException` - if operation fails.
  (Published)

### revokeAccess

    public AccessControlEntry revokeAccess(AccessControlEntryDefinition aceDef)
                                    throws IfsException

  Description copied from class: `AccessControlList`
  Remove or restrict an ACE for this ACL. This adds a revoke ACE to this ACL. This method implicitly sets the "granted" indication on the AccessControlEntryDefinition to false.

  Overrides:
    `revokeAccess` in class `PublicObject`
  Parameters:
    `aceDef` - AccessControlEntry definition
  Returns:
    newly added AccessControlEntry
  Throws:
    `IfsException` - if operation fails.
  (Published)

### revokeAllAccess

    public void revokeAllAccess()
                         throws IfsException

  Description copied from class: `AccessControlList`
  Remove all ACEs for this ACL.

  Overrides:
    `revokeAllAccess` in class `PublicObject`
  Throws:
    `IfsException` - if operation fails.
  (Published)

### addAccessControlEntry

    protected AccessControlEntry addAccessControlEntry(AccessControlEntryDefinition aceDef)
                                                throws IfsException

  Description copied from class: `AccessControlList`
  Add an ACE to this ACL.

  Parameters:
    `aceDef` - AccessControlEntryDefinition definition
  Returns:
    the newly added AccessControlEntry.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### removeAccessControlEntry

    public void removeAccessControlEntry(AccessControlEntry ace)
                                  throws IfsException

  Description copied from class: `AccessControlList`
  Remove an ACE from this ACL.

  Parameters:
    `ace` - AccessControlEntry to be removed
  Throws:
    `IfsException` - if operation fails.
  (Published)

### updateAccessControlEntry

    public void updateAccessControlEntry(AccessControlEntry ace,
                                         AccessControlEntryDefinition aceDef)
                                  throws IfsException

  Description copied from class: `AccessControlList`
  Update an ACE in this ACL.

  Parameters:
    `ace` - AccessControlEntry to be updated
    `aceDef` - the definition of the updates
  Throws:
    `IfsException` - if operation fails.
  (Published)

### removeAllAccessControlEntries

    protected void removeAllAccessControlEntries()
                                          throws IfsException

  Description copied from class: `AccessControlList`
  Remove all ACEs from this ACL.

  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### removeAcesForFreedGrantees

    public static int removeAcesForFreedGrantees(LibrarySession session,
                                                 int batchSize)
                                          throws IfsException

  Description copied from class: `AccessControlList`
  Cleanup ACLs that have ACEs for grantees that have been freed.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `AccessControlList`
  Returns the LibraryObjectLookupCache used by find AccessControlList instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static AccessControlList[] findAll(LibrarySession session)
                                       throws IfsException

  Description copied from class: `AccessControlList`
  Returns the set of defined AccessControlLists.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of AccessControlLists; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static AccessControlList findByName(LibrarySession session,
                                               java.lang.String name)
                                        throws IfsException

  Description copied from class: `AccessControlList`
  Returns the a AccessControlList matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the AccessControlList name
  Returns:
    the AccessControlList matching the specified name; or null if there exists no matching AccessControlList
  Throws:
    `IfsException` - if the operation fails.

### constructAccessControlListVector

    protected static java.util.Vector constructAccessControlListVector(LibrarySession sess,
                                                                       java.util.Vector vector)
                                                                throws IfsException

  Description copied from class: `AccessControlList`
  Construct Vector of AccessControlList from vector of S_LibraryObjectData

  Parameters:
    `sess` - session
    `vector` - Vector of S_LibraryObjectData
  Returns:
    the Vector of AccessControlList
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructAccessControlListArray

    protected static AccessControlList[] constructAccessControlListArray(LibrarySession sess,
                                                                         java.lang.Long[] ids)
                                                                  throws IfsException

  Description copied from class: `AccessControlList`
  Constructs a AccessControlList array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a PublciObject.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of AccessControlLists
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructAccessControlList

    protected static AccessControlList constructAccessControlList(LibrarySession sess,
                                                                  S_LibraryObjectData data)
                                                           throws IfsException

  Description copied from class: `AccessControlList`
  Returns AccessControlList from a S_LibraryObjectData

  Parameters:
    `sess` - the Session
    `data` - a S_LibraryObjectData
  Returns:
    a AccessControlList
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### vectorToAclArray

    protected static AccessControlList[] vectorToAclArray(java.util.Vector vector)

  Description copied from class: `AccessControlList`
  Convert a Vector of AccessControlLists to an array of AccessControlLists.

  Parameters:
    `vector` - A Vector containing AccessControlLists.
  Returns:
    an array of AccessControlLists.
  (Unpublished)

### vectorAclElement

    protected static AccessControlList vectorAclElement(java.util.Vector vector,
                                                        int index)
                                                 throws java.lang.IndexOutOfBoundsException

  Description copied from class: `AccessControlList`
  Returns an AccessControlList from a specified Vector of AccessControlLists and an index.

  Parameters:
    `vector` - A Vector containing AccessControlLists.
    `index` - An index into the Vector of AccessControlLists.
  Returns:
    the requested AccessControlList.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index is invalid.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD